### Method

# Shell PerfLog add_statistics_callback

#### Declaration [src]

    void
    shell_perf_log_add_statistics_callback (
      ShellPerfLog* perf_log,
      ShellPerfStatisticsCallback callback,
      gpointer user_data,
      GDestroyNotify notify
    )

#### Description [src]

Adds a function that will be called before statistics are recorded. The function would typically compute one or more statistics values and call a function such as `shell_perf_log_update_statistic_i()` to update the value that will be recorded.

#### Parameters

`callback`

  Type: `ShellPerfStatisticsCallback`

  Function to call before recording statistics.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`notify`

  Type: `GDestroyNotify`

  Function to call when `user_data` is no longer needed.